
CREATE EXTENSION IF NOT EXISTS pgcrypto;
CREATE TABLE "public"."joblines"("id" uuid NOT NULL DEFAULT gen_random_uuid(), "created_at" timestamptz NOT NULL DEFAULT now(), "updated_at" timestamptz NOT NULL DEFAULT now(), "jobid" uuid NOT NULL, "unq_seq" text, "line_ind" text, "line_desc" text, "part_type" text, "oem_partno" text, "db_price" numeric, "act_price" numeric, "part_qty" numeric, PRIMARY KEY ("id") , FOREIGN KEY ("jobid") REFERENCES "public"."jobs"("id") ON UPDATE cascade ON DELETE cascade);
CREATE OR REPLACE FUNCTION "public"."set_current_timestamp_updated_at"()
RETURNS TRIGGER AS $$
DECLARE
  _new record;
BEGIN
  _new := NEW;
  _new."updated_at" = NOW();
  RETURN _new;
END;
$$ LANGUAGE plpgsql;
CREATE TRIGGER "set_public_joblines_updated_at"
BEFORE UPDATE ON "public"."joblines"
FOR EACH ROW
EXECUTE PROCEDURE "public"."set_current_timestamp_updated_at"();
COMMENT ON TRIGGER "set_public_joblines_updated_at" ON "public"."joblines" 
IS 'trigger to set value of column "updated_at" to current timestamp on row update';